Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.diagram
Class MetabolicPathwayDiagramType.MetabolicPathwayDiagramViewOptions

    |
    +--biouml.model.DiagramViewOptions
      |
      +--biouml.standard.diagram.PathwayDiagramViewOptions
            |
            +--biouml.standard.diagram.MetabolicPathwayDiagramType.MetabolicPathwayDiagramViewOptions

public static class MetabolicPathwayDiagramType.MetabolicPathwayDiagramViewOptions
extends PathwayDiagramViewOptions

We have redefined ViewOptions to have an ability specify corresponding bean info. This bean info can customize view of MetabolicPathwayDiagramViewOptions in property inspector.

Inner classes inherited from class biouml.standard.diagram.PathwayDiagramViewOptions
`PathwayDiagramViewOptions.RelationTypeColor, PathwayDiagramViewOptions.RelationTypeStroke`

Fields inherited from class biouml.standard.diagram.PathwayDiagramViewOptions
`ActiveProteinBrush, automaticallyLocateReactions, CatalystActionPen, CellCytoplasmBrush, CellNucleusBrush, DecreaseActionBrush, GeneBrush, InactiveProteinBrush, IncreaseActionBrush, InhibitorActionPen, ModefiedProteinBrush, processPen, ProteinBrush, ReactionBrush, ReactionPen, showReactionName, statePen, SubstanceBrush, SwitchOffActionBrush, SwitchOffActionPen, SwitchOnActionBrush, SwitchOnActionPen`

Fields inherited from class biouml.model.DiagramViewOptions
`compartmentTitleAlignment, diagramTitleAlignment`

Constructor Summary
`MetabolicPathwayDiagramType.MetabolicPathwayDiagramViewOptions(Option parent)`

Method Summary
`DiagramViewOptions` | `createDefaultDiagramViewOptions()`

Methods inherited from class biouml.standard.diagram.PathwayDiagramViewOptions
`getRelationTypeColors, getRelationTypeStrokes, getSemanticRelationBrush, getSemanticRelationPen, getTitleMargin, initSemanticRelationOptions, setRelationTypeColors, setRelationTypeStrokes, setTitleMargin`

Methods inherited from class biouml.model.DiagramViewOptions
`getCompartmentTitleAlignment, getCompartmentTitleFont, getDefaultFont, getDefaultPen, getDiagramTitleAlignment, getDiagramTitleFont, getNodePen, getNodeTitleFont, getNodeTitleMargin, getNoteBrush, getNoteLinkPen, getNoteMargin, isDesignMode, isDiagramTitleVisible, setCompartmentTitleAlignment, setCompartmentTitleFont, setDefaultFont, setDefaultPen, setDesignMode, setDiagramTitleAlignment, setDiagramTitleFont, setDiagramTitleVisible, setNodePen, setNodeTitleFont, setNodeTitleMargin, setNoteBrush, setNoteLinkPen, setNoteMargin`

Constructor Detail

### MetabolicPathwayDiagramType.MetabolicPathwayDiagramViewOptions

    public MetabolicPathwayDiagramType.MetabolicPathwayDiagramViewOptions(Option parent)

Method Detail

### createDefaultDiagramViewOptions

    public DiagramViewOptions createDefaultDiagramViewOptions()

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM